Use response table IRF by default for all unit tests

04/17/2016 11:35 PM - Knödlseder Jürgen

Status: New Start date: 04/17/2016

Priority: Normal Due date:  

Assigned To:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Many of the ctools unit tests are still based on the performance tables, which are legacy. We now want to use response tables

everywhere.

Related issues:

Copied to ctools - Action # 1767: Use response table IRF by default for all u... Closed 04/17/2016

History

#1 - 04/17/2016 11:36 PM - Knödlseder Jürgen

- Copied to Action #1767: Use response table IRF by default for all unit tests added

#2 - 06/21/2016 09:59 PM - Knödlseder Jürgen

- Target version set to 1.2.0

#3 - 03/03/2017 10:26 AM - Knödlseder Jürgen

- Target version changed from 1.2.0 to 1.3.0

The dummy IRF is still used in the following files:

inst/cta/test/test_CTA.cpp:const std::string cta_irf           = "cta_dummy_irf";

inst/cta/test/test_CTA.cpp:const std::string cta_edisp_perf    = caldbdir+"/cta_dummy_irf.dat";

inst/cta/test/test_CTA.py:        filename = self._caldb + '/cta_dummy_irf.dat'

inst/cta/test/test_CTA.py:        filename = self._caldb + '/cta_dummy_irf.dat'

inst/cta/test/test_CTA.py:        filename = self._caldb + '/cta_dummy_irf.dat'

inst/cta/test/test_CTA.py:        irf = 'cta_dummy_irf'

inst/cta/test/data/irf_unbinned.xml:    <parameter name="EffectiveArea"       file="$(TEST_CTA_DATA)/../caldb/cta_dummy_irf.dat"/>

inst/cta/test/data/irf_unbinned.xml:    <parameter name="PointSpreadFunction" file="$(TEST_CTA_DATA)/../caldb/cta_dummy_irf.dat"/>

inst/cta/test/data/irf_unbinned.xml:    <parameter name="EnergyDispersion"    file="$(TEST_CTA_DATA)/../caldb/cta_dummy_irf.dat"/>

inst/cta/test/data/irf_unbinned.xml:    <parameter name="Background"          file="$(TEST_CTA_DATA)/../caldb/cta_dummy_irf.dat"/>

inst/cta/test/dev/example_binned_ml_fit.py:                                     'cta_dummy_irf',

inst/cta/test/dev/example_make_model.py:    irf     = 'cta_dummy_irf'

inst/cta/test/dev/test_likelihood_profile.py:    irf     = "cta_dummy_irf"

inst/cta/test/dev/test_ml_fitting.py:    irf     = "cta_dummy_irf"

inst/cta/test/dev/test_psf_shape.py:    #rsp = GCTAResponseIrf("cta_dummy_irf",

inst/cta/test/dev/test_sim_edisp.py:    #edisp = gammalib.GCTAEdispPerfTable("./caldb/cta_dummy_irf.dat")

inst/cta/test/dev/test_sim_psf.py:    #psf = gammalib.GCTAPsfPerfTable('../caldb/cta_dummy_irf.dat')
#4 - 06/06/2017 10:25 PM - Knödlseder Jürgen

- Target version deleted (1.3.0)
